For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

Add Company Attachment

POST
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/attachments
POST
/api/v3/io/companies/:companyId/attachments
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/attachments \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F attachmentFile=@string
200Example 1
1{
2 "code": 200,
3 "data": {
4 "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
5 "attachmentFile": "https://example.com/example.csv"
6 },
7 "meta": {
8 "message": "SUCCESS"
9 }
10}
Attaches a file to a Company account. The default rate limit for this endpoint is `15` calls/min per store. Each Company can have a maximum of `10` attachments. The following file types are supported: ``` - Image files (BMP, GIF, ICO, JPG/JPEG, PNG, SVG, TIF, TIFF, WEBP, WBMP, XBM) - PDF - DOC, DOCX - XLS, XLSX - CSV ```
Was this page helpful?
Previous

List Company Attachments

Next

Delete Company Attachment

Built with

Attaches a file to a Company account.

The default rate limit for this endpoint is 15 calls/min per store.

Each Company can have a maximum of 10 attachments. The following file types are supported:

- Image files (BMP, GIF, ICO, JPG/JPEG, PNG, SVG, TIF, TIFF, WEBP, WBMP, XBM)
- PDF
- DOC, DOCX
- XLS, XLSX
- CSV

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Request

attachmentFilefileRequired
Attaches a file to the Company account. The file must be a supported type and not exceed 10MB.

Response

OK
codedoubleDefaults to 200
dataobject
metaobject